Subject: Re: Gilt City Customer Service Issue- Asanda Aveda
From: Joel Graham <[email-masked]>
To: Gene Frisco <[email-masked]>
Cc: Brenna Stephens <[email-masked]>, Ashish Dabral <[email-masked]>, "Ajeet Singh [LSM]" <[email-masked]>
Date: Sat, 14 Jan 2017 16:06:03 -0500

Hi Gene,

This guest was just here and Amber found a time for all three people to
come in on 3/3/17. I okayed them to use the vouchers at the same time for
the group since she claimed she was having an impossible time booking.

She originally got the standard email that I send along when a group of
three or more people are booking, and decided that didn't work for her.
Escalating this to a complaint with Gilt appears to be her way of ducking
the usual protocol.

Thanks,
Joel

On Sat, Jan 14, 2017 at 3:46 PM, Gene Frisco <[email-masked]> wrote:

> Hi Guys
>
>
>
> Who dealt with this person?  Please see my email to her below.  I want to
> be sure we have all the rules of the road followed, especially regarding
> the cancellation policy and tip requirements.
>
>
>
> gene
>
>
>
>
>
> Gene Frisco
> Director
> 598 Broadway, New York
> O 212.966.0219 <(212)%20966-0219>
> M 508.878.7734 <(508)%20878-7734>
>
>
>
>
>
> -----Original Message-----
> From: "Katie Grossbard" <[email-masked]>
> Sent: Saturday, January 14, 2017 3:40pm
> To: "Gene Frisco" <[email-masked]>
> Cc: "Annika Wong" <[email-masked]>, "Joel Graham" <
> [email-masked]>, "Brenna Stephens" <[email-masked]>, "Ashish
> Dabral" <[email-masked]>, "Ajeet Singh [LSM]" <[email-masked]
> >
> Subject: Re: Gilt City Customer Service Issue- Asanda Aveda
>
> Hi Gene,
> I appreciate your response. This has unfortunately been far more difficult
> than we anticipated when we bought the Gilt vouchers. I just left your soho
> location and dealt with booking the appointments in person since your team
> was so ineffective via other means of communication. While I am looking
> forward to the treatments we have booked, I am very disappointed in how
> difficult and mishandled this situation was. I have spoken to people at
> Gilt and expressed my concerns with them moving forward with this vendor.
> Thanks,
> Katie Grossbard
> On Jan 14, 2017, at 2:46 PM, Gene Frisco <[email-masked]> wrote:
>
> Hi Katie
>
>
>
> I heard from Gilt that you were having a hard time arranging for you and
> your friends to come in for a small group / spa party and use your Gilt
> vouchers.  I'm sorry if you had any challenges.  We do accommodate groups
> and its always fun for us to see a group of friends having a good time at
> Asanda.
>
>
>
> Just a quick few words about the rules of the road.  As soon as we know
> who you all are and have set up profiles for you in our system I'll work on
> releasing some reserved time inventory so you can all come in together.
> We'll send you a contract that you'll need to sign and send back.
>
>
>
> The only two salient points for you to be sure you understand are around
> the reservation process and tipping.
>
>
>
> Once you're booked in a group of three or more you'll need to give us at
> least five days advance notice if you want to change your appointments and
> if you have to call to change the appointments with the five days notice I
> can't guarantee you how soon you will be able to get rescheduled.  We'll
> redeem the vouchers when you make the reservation to hold the appointments
> and you'll have my direct contact info so in case it looks a little dodgy
> about keeping the appointments you can get in touch with me.  The other
> thing to let your friends know in the group that if they're getting the
> massage, facial and blowout package that if any or all of you are late
> we'll reduce the massage time if you're late because that will be your
> first appointment.
>
>
>
> The other point to just be sure you're clear about is that for groups of
> three or more we will need a credit card provided for a prepaid gratuity of
> 20% of the regular price of the service.
>
>
>
> Please let me know yours and your friends names, emails and cell phone
> numbers for text confirmations and reminders.  I'll work up a very short
> contract for you.  Let me know at least a few options of when you'd like to
> come in and I'll take care of finding the time inventory and call you to
> confirm the details.
>
>
>
> best regards
>
>
>
> gene frisco
>
>
>
>
> Gene Frisco
> Director
> 598 Broadway, New York
> O 212.966.0219 <(212)%20966-0219>
> M 508.878.7734 <(508)%20878-7734>
>
>
>
>
>
> -----Original Message-----
> From: "Annika Wong" <[email-masked]>
> Sent: Friday, January 13, 2017 6:12pm
> To: "Gene Frisco" <[email-masked]>
> Subject: Re: Gilt City Customer Service Issue- Asanda Aveda
>
> Hi Gene,
> Thank you!  It looks like an agent on our end advised her that this was
> possible.  Not sure what the mix up was here, but thank you for reaching
> out to her. I will advise my CS you will be contacting her.
> Best,
> Annika
>
>
> *Annika Wong*
> Account Manager
> Gilt City | Member of the Gilt Groupe
> O: 646-802-7588 <(646)%20802-7588>
> 250 Vesey Street, 21st Floor
> New York, NY 10281
>
> On Fri, Jan 13, 2017 at 6:06 PM, Gene Frisco <[email-masked]> wrote:
>
>> Hi Anika
>>
>>
>>
>> We absolutely do accommodate spa parties with vouchers but like any group
>> booking we require that the group agrees in writing to forfeit the vouchers
>> if they No Show and they agree in the same contract to prepay 20% gratuity
>> on the full value of the service.  I'll handle this for you personally but
>> please make sure your subscribers know its a rule applied with all
>> customers, even full paying customers and not discriminatory to voucher
>> customers.
>>
>>
>>
>> gene
>>
>>
>>
>>
>> Gene Frisco
>> Director
>> 598 Broadway, New York
>> O 212.966.0219 <(212)%20966-0219>
>> M 508.878.7734 <(508)%20878-7734>
>>
>>
>>
>>
>>
>> -----Original Message-----
>> From: "Annika Wong" <[email-masked]>
>> Sent: Friday, January 13, 2017 6:02pm
>> To: "Gene Frisco" <[email-masked]>
>> Subject: Gilt City Customer Service Issue- Asanda Aveda
>>
>> Hi,
>> Hope you are well!
>> Can you please look into the customer service issue below? Please let me
>> know if you have any questions.  Thank you!
>>
>> Member Name: Katie Grossbard
>>
>> Contact Info (email address): [email-masked]
>>
>> Voucher Code: Y336VDWE
>>
>> Package Purchased: Massage, Facial & Blow-Out
>>
>> Issue: Member and her friends purchased this offer hoping to redeem with
>> the vendor at the same time - she has contacted both locations and they do
>> appear to be open to accommodating this, as they have advised that there is
>> an individual that handles group appointments (was given the name Joel) but
>> has not received any further assistance. Vendor advised they're booked out
>> for January, and did not give a clear answer as to their availability for
>> February. When reaching out to contact for group appointments by email in
>> the last week they have been unresponsive - [email-masked]. Offer is
>> subject to availability and vendor is trying to make an effort here to
>> accommodate the member and her friends, member also understands offer is
>> subject to availability and is open to any available dates with the vendor
>> - the main issue is that  there is no response and will not give a clear
>> answer as to their availability regardless of this. Owing to this the
>> member herself is requesting a refund for her voucher
>>
>>
>> *Annika Wong*
>> Account Manager
>> Gilt City | Member of the Gilt Groupe
>> O: 646-802-7588 <(646)%20802-7588>
>> 250 Vesey Street, 21st Floor
>> New York, NY 10281
>>
>
>
>

-- 

Joel Graham
*General Manager*
ASANDA / [Comfort Zone]
598 Broadway, 3rd FL.
New York, NY 10012